---
- hosts: mod-php-openbsd*
  gather_facts: false
  roles:
      - openbsd-bootstrap
      - role: users
        users: []
        users_use_sudo: True
        users_lock_root_ssh: False

- hosts: [mod-php-xenial, mod-php-wheezy]
  gather_facts: false
  roles:
      - debian-bootstrap
      - role: users
        users: []
        users_use_sudo: True
        users_lock_root_ssh: False

- hosts: all
  strategy: free
  roles: [mod-php7]
  post_tasks:
      - name: Install cURL
        package:
            name: curl
            state: present

      - name: Add phpinfo script
        copy:
            content: |
                <?php
                phpinfo()
                ?>
            dest: /var/www/html/phpinfo.php
            owner: root
            group: root
            mode: 0o0644
